- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# ubthread_mutex Struct Reference

`#include <ubthread.h>`

## Data Fields
int | id
uInt8 | locked
pidType | pid

## Detailed Description

Definition at line 55 of file ubthread.h.

## Field Documentation

int ubthread_mutex::id

Definition at line 56 of file ubthread.h.

Referenced by ubthread_mutex_init().

uInt8 ubthread_mutex::locked

Definition at line 57 of file ubthread.h.

Referenced by ubthread_cond_timedwait(), ubthread_cond_wait(), ubthread_mutex_init(), ubthread_mutex_lock(), and ubthread_mutex_unlock().

pidType ubthread_mutex::pid

Definition at line 58 of file ubthread.h.

Referenced by ubthread_mutex_lock(), and ubthread_mutex_unlock().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/ubthread.h